Subject: Re: bug#76327: 29.4; random segfaults after switch to tree-sitter

From: Evgeniy Dushistov <[email-masked]>
Date: Tue, 18 Feb 2025 20:51:20 +0300

On Tue, Feb 18, 2025 at 07:23:55PM +0200, Eli Zaretskii wrote:
> This is all very strange.  So much so that I'm inclined to suspect
> some hardware problem on that system.  Did you try building and using
> the same versions on a different box?

I use the same emacs version on other "box",
but it has different OS (macOS) and different compiler (clang I
suppose?),
plus I don't use emacs that heavily on other "box".
It takes from 30 minutes to 48 hours of "editing" to reproduce problem.
So emacs does not crash on other machine, but it is too different.

Hardward issues is possible, but I doubt about it.
This is machine with "ecc" memory,
and only emacs crashes according to syslogs.
And emacs crashes in the same place every time,
it is looks very unbelievable for hardward issue.

-- 
/Evgeniy